%define pypi_name django-appconf

Name:           python-%{pypi_name}
Version:        0.6
Release:        %mkrel 7
Summary:        A helper class for handling configuration defaults of packaged apps gracefully
Group:          Development/Python

License:        BSD
URL:            http://pypi.python.org/pypi/django-appconf/0.5
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-sphinx
#BuildRequires:  python-django-discover-runner

Requires:       python-django

%description
A helper class for handling configuration
defaults of packaged Django
apps gracefully.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

# checks fail in mock
#%check
#%{__python} setup.py test

%files
%doc html README.rst LICENSE
%{python_sitelib}/appconf
%{python_sitelib}/django_appconf-%{version}-py?.?.egg-info



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.6-7.mga5
+ Revision: 745194
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6-6.mga5
+ Revision: 728270
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6-5.mga5
+ Revision: 687969
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6-3.mga4
+ Revision: 543122
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6-2.mga4
+ Revision: 498363
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Aug 27 2013 philippem <philippem> 0.6-1.mga4
+ Revision: 472308
- imported package python-django-appconf

